petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscFindInt

Finds integer in a sorted array of integers

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFindInt(PetscInt key, PetscInt n, const PetscInt ii[], PetscInt *loc)

Not Collective

### Input Parameters

| key | - the integer to locate
| n | - number of values in the array
| ii | - array of integers

### Output Parameter

loc -the location if found, otherwise -(slot+1) where slot is the place the value would go

### See Also

PetscSortInt(), PetscSortIntWithArray(), PetscSortRemoveDupsInt()

Level:intermediate
Location:src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages